#ifdef POSITION
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Position.h"

namespace morpheo              {
namespace behavioural          {

  Position::Position  (void)
  {
    log_printf(FUNC,Behavioural,"Position","Begin");
    _list_component = new list<Entity *>;
    log_printf(FUNC,Behavioural,"Position","End");
  };

  Position::Position  (const Position & position)
  {
    log_printf(FUNC,Behavioural,"Position (copy)","Begin");
    _entity         = position._entity        ;
    _list_component = position._list_component;
    log_printf(FUNC,Behavioural,"Position (copy)","End");
  };
  
  Position::~Position ()
  {
    log_printf(FUNC,Behavioural,"~Position","Begin");
    delete _entity;

//     if (_list_component->empty()== false)
//       {
// 	list<Entity *>::iterator i = _list_component->begin();

// 	while (i != _list_component->end())
// 	  {
// 	    delete (*i);
// 	    ++i;
// 	  }
//       }

    delete _list_component;
    log_printf(FUNC,Behavioural,"~Position","End");
  };
  

}; // end namespace behavioural          
}; // end namespace morpheo              
#endif
